[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] Mac OS X and ruby-libvirt



On 11/24/10 - 05:31:41PM, Jaromír Červenka wrote:
> Hello,
> 
> I've just compiled libvirt 0.8.5 on my Mac OS X 10.6.5 and it looks
> fine - virish works (also for remote connection: qemu+tcp). I would
> like to install ruby-libvirt gem, but I get this error:
> http://paste.opensuse.org/10756697
> 
> Could anybody help me, please? I think that it is necessary "point to"
> source of libvirt, because ruby-libvirt tries to compile gem for my
> system. But I don't know how to do that.

Sorry for the delay.  At the moment, there isn't a great way to do this.  What
you'll have to do is edit ext/libvirt/extconf.rb, and replace all instances
of "libvirt/libvirt.h" with the full path to your development headers.  You
might still have some issues finding the library to link against, so you might
also have to diddle with pkg_config to point it at your development directory
again.

Unfortunately I'm having some trouble getting my development setup working at
the moment, so I can't test it out at the moment.  If you do figure out how to
do it, I would appreciate knowing so that I can either make it easier to do
and/or document it on the website.

Thanks,
-- 
Chris Lalancette


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]